﻿@media screen and (max-width: 1025px) {
    .logged-in .site-header-container .checklist-btn {
        right: 121px;
        padding: 6px 12px;
        font-size: 26px;
        top: 2px;
    }

    .checklist-notification.overdue {
        left: 12px;
        bottom: -16px;
        background: red;
        z-index: 3;
    }

    .checklist-notification.todo {
        left: -13px;
        bottom: 4px;
        background: deepskyblue;
    }
}


.site-header-container .checklist-btn {
    top: 20px;
    font-size: 35px;
    padding-bottom: 10px;
    padding-top: 10px;
    position: absolute;
    right: 192px;
}

.checklist-notification {
    position: absolute;
    border-radius: 10pt;
    min-width: 18pt;
    height: 18pt;
    color: white;
    font-size: 14pt;
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: sans-serif;
    padding: 0 6pt;
    box-sizing: border-box;
    font-size: 11pt;
}

.checklist-overlay-bg {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background: rgba(0,0,0,0.5);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1000000;
    /* The Animation Settings */
    transition: opacity 0.3s ease, visibility 0.3s ease;
    /* The "Hidden" State */
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
}

    .checklist-overlay-bg.is-active {
        opacity: 1;
        visibility: visible;
        pointer-events: auto;
    }

.checklist-overlay-container {
    background: none;
    width: 90%;
    height: 90%;
    position: relative;
}

.checklist-overlay-clipper {
    width: 100%;
    height: 100%;
    border-radius: 8px;
    overflow: hidden;
}

.checklist-overlay-closer {
    position: absolute;
    top: -13px;
    left: -13px;
    border-radius: 50%;
    background: lightgray;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 40px;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.15);
    border: solid 1px rgb(200, 210, 220);
    cursor: pointer;
    opacity: .75;
}

    .checklist-overlay-closer:hover {
        opacity: 1;
    }

@media screen and (min-width: 1026px) {
    .checklist-notification.overdue {
        left: -10px;
        bottom: 1px;
        background: red;
    }

    .checklist-notification.todo {
        left: -10px;
        bottom: 40px;
        background: deepskyblue;
    }
}
